Subject: Re: [Sip] SIP session without SDP

From: "Eric Burger" <[email-masked]>
Date: Fri, 28 Oct 2005 19:45:23 -0400

KPML needs a dialog to reference.  I suppose the SUBSCRIBE creates a dialog, but that is a bit weird. 

 -----Original Message-----
From: 	Paul Kyzivat [mailto:[email-masked]]
Sent:	Fri Oct 28 18:12:08 2005
To:	Eric Burger
Cc:	Christer Holmberg (JO/LMF); [email-masked]
Subject:	Re: [Sip] SIP session without SDP

Eric Burger wrote:
> I actually do know of a situation where you would setup a call with no
> media: KPML.
> 
> Let's say you want to establish a signaling-only session for
> transporting digits only.

Am I missing something? If that is all you want to do, then simply send 
a subscription for the KPML event package. You don't need a media-less 
INVITE to do that.

	Paul

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Paul Kyzivat
> Sent: Thursday, October 06, 2005 9:30 AM
> To: Christer Holmberg (JO/LMF)
> Cc: [email-masked]
> Subject: Re: [Sip] SIP session without SDP
> 
> 
> 
> Christer Holmberg (JO/LMF) wrote:
> 
>>Hi,
>>
>>Chapter 13.2.1 in RFC3261 says that, if the INVITE does not contain an
> 
> session description offer, the response  (reliable) MUST contain an
> session description answer.
> 
>>First, it is not said that the session description must be a SDP body,
> 
> so I assume something else could be used too?
> 
>>Second, assume that I want to set up a session without SDP (or,
> 
> another type of session description)? If I include an empty Accept
> header (or an Accept header where application/sdp is not listed) I don't
> think the UAS should be mandated to include an SDP offer in the
> response.
> 
>>So, I think the rules in 13.2.1 shall be applicable IF I am using a
> 
> session description, but I should NOT be mandated to use session
> description.
> 
> So you want to set up a session that has no description? Why would you 
> want to do that?
> 
> That seems *so* wrong! The whole point of INVITE is to negotiate the 
> details of the session.
> 
> Yes, you could use something else besides SDP - the obvious candidate is
> 
> SDPng. But using none doesn't seem to fit the intent of INVITE.
> 
> You can get much the effect you seem to be seeking simply by using SDP 
> that has no m= lines.
> 
> 	Paul
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip